Package org.egothor.stemmer

# Class Reduce

java.lang.Object
org.egothor.stemmer.Reduce

Direct Known Subclasses:
  `Gener`, `Lift`, `Optimizer`

public class Reduce extends Object
The Reduce object is used to remove gaps in a Trie which stores a dictionary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reduce()`
  Constructor for the Reduce object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Trie`
  `optimize(Trie orig)`
  Optimize (remove holes in the rows) the given Trie and return the restructured Trie.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Reduce

    public Reduce()
    Constructor for the Reduce object.

- ## Method Details

  - ### optimize

    public Trie optimize(Trie orig)
    Optimize (remove holes in the rows) the given Trie and return the restructured Trie.
    Parameters:
      `orig` - the Trie to optimize
    Returns:
      the restructured Trie